Skip to content

OAuth2 token exchange for plugin backends (auth_code + PKCE + private_key_jwt)

POST
/api/v1/{tenantId}/external-plugin/oauth/token
tenantId
required
string
object
grant_type
string
nullable
client_id
string
nullable
code
string
nullable
code_verifier
string
nullable
client_assertion_type
string
nullable
client_assertion
string
nullable

OK

object
access_token
string
nullable
token_type
string
nullable
expires_in
integer format: int32
refresh_token
string
nullable
revo
object
tenant
string
nullable
user
object
firstname
string
nullable
lastname
string
nullable
email
string
nullable
nickname
string
nullable
mobileNumber
string
nullable
icon
string
nullable
userId
string
nullable
roles
Array<object>
nullable
object
name
string
nullable
group
string
nullable

Bad Request

object
error
string
nullable
error_description
string
nullable